.cart-header{
    display: flex;
    align-items: center;
    border-bottom: 1px solid var(--grey-1, #D7D8DA);
    padding: 0 0 16px;
}

.cart-header__title{
    color: var(--black, #211E31);
    font-feature-settings: 'liga' off, 'clig' off;
    font-size: 16px;
    font-style: normal;
    font-weight: 700;
    line-height: 150%; /* 24px */
    display: flex;
    align-items: center;
    gap: 16px;
    flex: 1 1;
    margin: 0;
    padding: 0;
}

.cart-header__title:before{
    content: '';
    display: block;
    width: 48px;
    height: 48px;
    background-image: url("/assets/images/category-plus.svg");
    background-size: 24px 24px;
    background-position: center;
    background-repeat: no-repeat;
    background-color: var(--black);
}

.cart-product{
    margin: 0;
    padding: 0;
}

.cart-empty{
    padding: 20px 0;
}

.cart-product__title{
    color: var(--black, #202124);
    font-feature-settings: 'liga' off, 'clig' off;
    font-size: 20px;
    font-style: normal;
    font-weight: 700;
    line-height: 100%; /* 20px */
    margin: 24px 0 12px;
}

.cart-product__item{
    list-style-type: none;
}

.product__head{
    display: none;
}

.product__buttons{
    display: flex;
    gap: 14px;
    align-items: center;
}

.cart-product .product__size, .cart-product .product__count, .cart-product .custom-select__header{
    display: flex;
    height: 42px;
}

.button.product-cart__delete{
    width: 24px;
    height: 42px;
    padding: 0;
    border: none;
    outline: 0;
    cursor: pointer;
}

.cart-product .custom-select{
    width: auto;
    min-width: 80px;
}

.cart-product .product__row{
    padding: 20px 15px;
    border: 1px solid var(--grey-1, #D7D8DA);
    display: flex;
    flex-direction: column;
}

.cart-product .product__buttons{
    justify-content: space-between;
}

.cart-product .product__cell:has(.product__buttons){
    margin-bottom: 0;
}

.cart-product .product__cell.product__cell-checkbox{
    display: none;
}

.cart-button{
    height: 50px;
    /*margin: 32px 0;*/
    margin: 1.5rem 0;
}

.cart-container{
    padding-bottom: 210px;
}


.cart-buttons{
    position: fixed;
    bottom: 0;
    left: 0;
    right: 0;
    padding: 0 16px 0;
    background: var(--white);
    border-top: 1px solid var(--grey-1, #D7D8DA);
    box-shadow: 0px 0px 50px rgba(18, 17, 39, 0.08);
    border-radius: 0px;
    height: 110px;
}

body:has(.cart-container) footer{
    display: none;
}

@media (min-width: 64rem) {
    body:has(.cart-container) footer{
        display: block;
    }
    .cart-buttons{
        position: relative;
        padding: 0;
        box-shadow: none;
        border-top: none;
        height: auto;
    }

    .cart-container{
        padding-bottom: 0;
    }

    .cart-container{
        margin-top: 12px;
        background-color: var(--white);
        box-shadow: 0 0 50px 0 rgba(18, 17, 39, 0.08);
        margin-bottom: 48px;
    }

    .cart-header{
        background-color: var(--white);
        padding: 16px;
    }

    .cart-empty{
        padding-left: 16px;
        padding-right: 16px;
    }

    .cart-product__title{
        padding-left: 32px;
        padding-right: 32px;
    }

    .cart-product .product{
        width: 100%;
        padding: 0 32px;
    }

    .cart-product .product__body .product__row{
        padding-left: 32px;
        padding-right: 32px;
    }

    .product__table{
        display: table;
        border: none;
        border-collapse: collapse;
    }

    .product__cell.product__cell-checkbox{
        display: flex;
        align-items: center;
    }

    .product__cell.product__cell-checkbox .checkbox-group{
        margin: auto;
    }

    .product__table .product__tfoot {
        display: table-header-group;
    }

    .cart-product .product__row{
        display: table-row;
        border-top: none;
        border-left: none;
        border-right: none;
    }

    .cart-product .product__cell, .product__cell.product__cell--th{
        display: table-cell;
        column-count: unset;
    }

    .product__cell.product__cell-checkbox{
        width: 58px;
    }

    .cart-product .product__table .product__head{
        display: none;
    }

    .cart-product .catalog-product__item-title{
        display: block;
    }

    .product__buttons{
        margin: auto;
    }

    .button.product-cart__delete{
        width: 42px;
        height: 42px;
        background-color: transparent;
    }

    .cart-buttons{
        display: flex;
        justify-content: flex-end;
        padding: 0 32px;
    }

    .cart-product .product__buttons{
        justify-content: flex-end;
    }

    .cart-product .product__cell.product__cell-buttons{
        width: 235px;
    }

    .cart-product .product__cell.product__cell-price{
        width: 154px;
    }
}
